georange {divDyn} | R Documentation

## Estimation of geographic ranges from occurrence data

### Description

Geographic range as a function of a set of coordinates or sample/site/cell membeships.

### Usage

    georange(x, lng = NULL, lat = NULL, loc = NULL, method = "co")

### Arguments

`x` | `(data.frame)` Occurrence table containing the coordinates/locality memberships as variables.
`lng` | (`character`) The variable name of the longitudes, required for the `"co"`, `"mst"` and `"mgcd"` methods.
`lat` | (`character`) The variable name of the latitudes, required for the `"co"`, `"mst"` and `"mgcd"` methods.
`loc` | (`character`) The variable name of the locality entries: cells, site or samples, required for the `"lo"` method.

`method`

(`character`) Geographic range estimator method. Can take multiple entries (concatenating the results in a vector). The following methods are implemented: `"co"`: coordinate-based occupancy, the number of different coordinate pairs; `"lo"`: locality-based occupancy for sites, samples or geographic cells, number of different entries in a variable. `"mst"`, the total length of a minimum spanning tree of the point cloud, based on the great circle distances between points (requires the 'vegan' and 'icosa' packages). `"mgcd"`, maximum great-circle distance that can be measured in the point cloud (this version is limited to half the circumference of the equator, requires the 'icosa' package).

### Details

Multiple estimators of geographic ranges are implemented based on coordinates or cell identifiers. The function outputs a vector of the results based on the calculation methods specified in `methods`.

### Examples

    data(corals)
    # select a  taxon from a certain time slice
      bitax <- corals[corals$stg==69 & corals$genus=="Microsolena",]
      georange(bitax, lng="paleolng", lat="paleolat", method="co")

[Package divDyn version 0.8.0 Index]